<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.18.1.final using JasperReports Library version 6.18.1-9d75d1969e774d4f179fb3be8401e98a0e6d1611  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="Item Barang Terjual Tanpa MFG" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="802" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="5b6edada-047b-46c8-8745-90dea9f27b94">
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Mysql"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<parameter name="areaPengiriman" class="java.lang.String"/>
	<parameter name="dariGudang" class="java.lang.String"/>
	<parameter name="dariTanggal" class="java.lang.String"/>
	<parameter name="sampaiTanggal" class="java.lang.String"/>
	<queryString>
		<![CDATA[SELECT tbproduct.description,
	tbproduct.code,
	tbproduct.short_name, 
	SUM(tbinvoiceitem.quantity),
	SUM(tbinvoiceitem.weight),
	tbinvoiceitem.kg,
	tbinvoiceitem.ctn,
	tbmasterunit.name AS unitmeanstrument,
	tbproductweight.name AS name_weight,
	tbdeliveryarea.name AS arekirim,
	tbwarehousefacility.name AS gudangasal
FROM tbproduct
left join tbinvoiceitem on tbproduct.id = tbinvoiceitem.product
left join tbinvoice on tbinvoiceitem.invoice = tbinvoice.id
left join tbcustomer ON tbinvoice.customer = tbcustomer.id
left join tbdeliveryarea ON tbcustomer.delivery_area_id = tbdeliveryarea.id
left join tbwarehousefacility ON tbinvoice.source = tbwarehousefacility.id
left join tbmasterunit ON tbproduct.unit_id = tbmasterunit.id
left join tbproductweight ON tbproduct.product_weight_id = tbproductweight.id
WHERE DATE(tbinvoice.invoicedate)  BETWEEN $P{dariTanggal} AND $P{sampaiTanggal}
AND tbinvoice.source IN ($P!{dariGudang})  AND tbdeliveryarea.id IN ($P!{areaPengiriman})
GROUP BY tbproduct.description,
	tbproduct.code,
	tbproduct.short_name,
	tbinvoiceitem.kg,
	tbinvoiceitem.ctn,
	tbmasterunit.name,
	tbproductweight.name,
	tbdeliveryarea.name,
	tbwarehousefacility.name
ORDER BY tbproduct.code]]>
	</queryString>
	<field name="description" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="description"/>
		<property name="com.jaspersoft.studio.field.label" value="description"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="code" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="code"/>
		<property name="com.jaspersoft.studio.field.label" value="code"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="short_name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="short_name"/>
		<property name="com.jaspersoft.studio.field.label" value="short_name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="SUM(tbinvoiceitem.quantity)" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="SUM(tbinvoiceitem.quantity)"/>
		<property name="com.jaspersoft.studio.field.label" value="SUM(tbinvoiceitem.quantity)"/>
	</field>
	<field name="SUM(tbinvoiceitem.weight)" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="SUM(tbinvoiceitem.weight)"/>
		<property name="com.jaspersoft.studio.field.label" value="SUM(tbinvoiceitem.weight)"/>
	</field>
	<field name="kg" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="kg"/>
		<property name="com.jaspersoft.studio.field.label" value="kg"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
	</field>
	<field name="ctn" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="ctn"/>
		<property name="com.jaspersoft.studio.field.label" value="ctn"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
	</field>
	<field name="unitmeanstrument" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="unitmeanstrument"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterunit"/>
	</field>
	<field name="name_weight" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="name_weight"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproductweight"/>
	</field>
	<field name="arekirim" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="arekirim"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbdeliveryarea"/>
	</field>
	<field name="gudangasal" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="gudangasal"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbwarehousefacility"/>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="95" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="0" width="809" height="30" uuid="43959e77-d59f-49a9-b3d7-e6037dd11e90"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[ITEM BARANG TERJUAL SEMUA ITEM PER GUDANG]]></text>
			</staticText>
			<textField>
				<reportElement x="90" y="30" width="230" height="16" uuid="2afe0214-d175-4222-8cbb-e61004d6a924">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[new java.text.SimpleDateFormat("mm/dd/yyyy").format(new java.text.SimpleDateFormat("yyyy-mm-dd").parse($P{dariTanggal}))]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="30" width="80" height="16" uuid="2d2866e2-bcf4-4d62-a60e-f65815e94adb">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle"/>
				<text><![CDATA[Dari Tanggal]]></text>
			</staticText>
			<staticText>
				<reportElement x="560" y="30" width="90" height="16" uuid="c1927579-e203-4f46-9beb-86cb117bfe66">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle"/>
				<text><![CDATA[Sampai Tanggal]]></text>
			</staticText>
			<textField>
				<reportElement x="660" y="30" width="149" height="16" uuid="1ec4ae6f-a5f2-4cf3-bc19-f58e92dd5e09">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[new java.text.SimpleDateFormat("mm/dd/yyyy").format(new java.text.SimpleDateFormat("yyyy-mm-dd").parse($P{sampaiTanggal}))]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="46" width="80" height="16" uuid="6fb69132-e981-472c-9380-d04be9247539">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle"/>
				<text><![CDATA[Gudang]]></text>
			</staticText>
			<textField>
				<reportElement x="90" y="46" width="230" height="16" uuid="226eb855-b95e-4a57-82b4-ec895d45085e">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{gudangasal}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="660" y="46" width="149" height="16" uuid="06cfd860-e634-4ccf-84a2-2a455ab5d662">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{arekirim}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="560" y="46" width="90" height="16" uuid="618f67a4-a5b0-429d-9e14-2447cf5b2faf">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle"/>
				<text><![CDATA[Area Pengiriman]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="79" width="89" height="16" uuid="48eb449e-007d-403f-be60-d7d431d7262e">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Kode Barang]]></text>
			</staticText>
			<staticText>
				<reportElement x="89" y="79" width="230" height="16" uuid="8ed8d880-397b-4a50-bb9f-93f8290e32ab">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Deskription Item]]></text>
			</staticText>
			<staticText>
				<reportElement x="319" y="79" width="261" height="16" uuid="b537bf96-e323-416b-bb16-15f78244c39f">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Nama Gudang]]></text>
			</staticText>
			<staticText>
				<reportElement x="580" y="79" width="138" height="16" uuid="bfbec7c5-a2fa-4022-a2ec-0963740965bc">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[JUMLAH PACK / WHOLE]]></text>
			</staticText>
			<staticText>
				<reportElement x="718" y="79" width="92" height="16" uuid="2d20530d-2608-4183-bf36-9ad3947b3aa9">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[JUMLAH KG]]></text>
			</staticText>
			<staticText>
				<reportElement x="650" y="30" width="10" height="16" uuid="5627ebee-b5c7-4f5f-90ae-6b1c2c216f05">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle"/>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement x="650" y="46" width="10" height="16" uuid="9476324c-755e-4434-b7ab-5b6ac6cfedde">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle"/>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement x="80" y="30" width="10" height="16" uuid="55eb85db-f03c-46a1-b8f6-94725a2b0016">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle"/>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement x="80" y="46" width="10" height="16" uuid="8c3ac01f-9893-459d-af48-813b39c4406b">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle"/>
				<text><![CDATA[:]]></text>
			</staticText>
		</band>
	</title>
	<detail>
		<band height="16" splitType="Stretch">
			<textField>
				<reportElement x="0" y="0" width="89" height="16" uuid="563ded6a-eee4-44a1-8236-4252fafc9bad">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="3">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{code}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="89" y="0" width="230" height="16" uuid="297624ed-a36a-4b65-bd71-73f769eaa910">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="3">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{description}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="319" y="0" width="261" height="16" uuid="206f47fc-4164-4fcc-9132-c43d2de769e8">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="3">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{short_name}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="580" y="0" width="138" height="16" uuid="aaa91013-aee9-4331-aab4-7b962193865c">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{SUM(tbinvoiceitem.quantity)}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00#;(#,##0.00#-)">
				<reportElement x="718" y="0" width="92" height="16" uuid="1e75ff88-f377-4464-8fa7-558af117f54b">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{SUM(tbinvoiceitem.weight)}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
